libzypp 17.38.5

zypp::MirroredOrigin::Private Struct Reference

## Public Member Functions
| Private ()=default
| ~Private ()=default
Private * | clone () const

## Public Attributes
OriginEndpoint | _authority
std::vector< OriginEndpoint > | _origins

## Detailed Description

Definition at line 136 of file MirroredOrigin.cc.

## Constructor & Destructor Documentation

## ◆ Private()

zypp::MirroredOrigin::Private::Private | ( |  | ) |
| default

## ◆ ~Private()

zypp::MirroredOrigin::Private::~Private | ( |  | ) |
| default

## Member Function Documentation

## ◆ clone()

Private * zypp::MirroredOrigin::Private::clone | ( |  | ) | const
| inline

Definition at line 140 of file MirroredOrigin.cc.

## Member Data Documentation

## ◆ _authority

OriginEndpoint zypp::MirroredOrigin::Private::_authority

Definition at line 144 of file MirroredOrigin.cc.

## ◆ _origins

std::vector<OriginEndpoint> zypp::MirroredOrigin::Private::_origins

Definition at line 145 of file MirroredOrigin.cc.

The documentation for this struct was generated from the following file:

- zypp-core/MirroredOrigin.cc